Name: manatee-open
Version: 2.214.1
Release: 1%{?dist}
Summary: Corpus management and query system

Group: Applications/Databases
License: GPLv2+
URL: https://nlp.fi.muni.cz/trac/noske/
Source0: %{name}-%{version}.tar.gz
Source1: susanne-example-source.tar.bz2

Requires: m4
Requires: glibc-common
Requires: parallel
Requires: pcre >= 8.10

%if 0%{?centos} != 7
Requires: glibc-all-langpacks
%endif

Requires: %{name}-python3 = %{version}-%{release}

BuildRequires: pcre-devel > 8.10
BuildRequires: gcc-c++
%if 0%{?centos} == 7
BuildRequires: python36-devel
BuildRequires: swig3
%else
BuildRequires: python3-devel
BuildRequires: swig
%endif
BuildRequires: autoconf-archive

%description
Manatee is a corpus management and query system.

%package python3
Summary: Python 3 bindings for Manatee
Group: Applications/Databases
Provides: python3(manatee)

%description python3
This package contains Python 3 bindings for Manatee which are necessary if you
want to use Manatee from Python environment.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package static
Summary: Manatee static libaries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description static
This package contains Manatee static libraries.


%package susanne
Summary: Example Manatee corpus SUSANNE %{name}
Group: Applications/Databases
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description susanne
This package contains example corpus SUSANNE encoded for Manatee.

%prep
%setup
%setup -T -D -a 1

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
sed -i "s#^opt_CFLAGS=.*#opt_CFLAGS=\"$CFLAGS\"#" hat-trie/configure

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

%configure PYTHON=python3 --enable-cxxlib --with-gnu-ld --with-pcre

# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool hat-trie/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool hat-trie/libtool

make %{?_smp_mflags}

%global manatee_dir %{_sharedstatedir}/manatee
export MANATEE_REGISTRY=%{manatee_dir}/registry
make %{?_smp_mflags}

# encode example SUSANNE corpus
mkdir susanne
sh -c '
export PATH="`pwd`/api:`pwd`/src:$PATH"
export PYTHONPATH="`pwd`/api:`pwd`/api/.libs:$PYTHONPATH"
api/compilecorp --recompile-corpus ./susanne-example-source/config susanne-example-source/source
'


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install SUSANNE corpus
mkdir -p $RPM_BUILD_ROOT%{manatee_dir}/{data,vert,registry}
sed -i -e 's|PATH.*|PATH "%{manatee_dir}/data/susanne"|' -e 's|VERTICAL.*|VERTICAL "%{manatee_dir}/vert/susanne.vert"|' susanne-example-source/config
cp -p susanne-example-source/config $RPM_BUILD_ROOT%{manatee_dir}/registry/susanne
cp -rp susanne $RPM_BUILD_ROOT%{manatee_dir}/data/
rm -rf $RPM_BUILD_ROOT%{manatee_dir}/data/susanne/log
cp -p susanne-example-source/source $RPM_BUILD_ROOT%{manatee_dir}/vert/susanne.vert

find $RPM_BUILD_ROOT -name *.la -delete
rm -rf $RPM_BUILD_ROOT/%{_includedir}/hat-trie/ $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/hat-trie-0.1.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog doc
%{_bindir}/*
%{_libdir}/libmanatee.so.*
%dir %{manatee_dir}/data
%dir %{manatee_dir}/vert
%dir %{manatee_dir}/registry

%files python3
%defattr(-,root,root,-)
%{python3_sitearch}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/manatee/
%{_libdir}/*.so

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%files susanne
%defattr(-,root,root,-)
%attr(-,apache,root) %{manatee_dir}/data/susanne/
%{manatee_dir}/vert/susanne.vert
%{manatee_dir}/registry/susanne

%changelog
* Wed Oct 26 2022 GitLab Runner - 2.214.1-1
- new version

